# Customizing the monitoring model settings

Now we've created the monitoring model, we can start tweaking its settings before running it.

To do so, we'll fetch the `RuntimeConfiguration` linked to the monitoring model. It offers methods to easily fetch and modify the configuration entries.

```python
# Fetch the correct RuntimeConfiguration
config = sdk.monitoring.RuntimeConfiguration.get(model_id=model["id"])

# Now we can use this object to manipulate the monitoring model settings.
# Let's enable the Jensen-Shannon Univariate Covariate Shift method for our target values.
config.univariate_drift_method("JENSEN_SHANNON").enable_targets()

# Let's disable the Domain Classifier Multivariate Covariate Shift method
config.multivariate_drift_method("DOMAIN_CLASSIFIER_AUROC").disable()

# Let's set a constant threshold for the Missing Values data quality metric
config.data_quality_metric("MISSING_VALUES").set_threshold(threshold_type="CONSTANT", upper=5)

# Now apply the altered configuration
sdk.monitoring.RuntimeConfiguration.set(model_id=model["id"], config=config)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nannyml.com/cloud/v0.24.1/nannyml-cloud-sdk/example/customizing-the-monitoring-model-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
